
<script src="..//jquery/jquery-1.3.2.js"></script>
<script src="..//jquery/bootstrap.js"></script>
<script  src="..//jquery/bootbox.js"></script>

<link href="..//estilos/estilos.css" type="text/css" rel="stylesheet">
<link href="..//estilos/bootstrap.css" type="text/css" rel="stylesheet">

<script>


function eliminar_linea(codfacturatmp,numlinea,importe,cliexe , dscart,cdgcli, porimpexo, cdgtipexo) {

claadm = document.getElementById("claadm").value; 

bootbox.prompt({
    title: "Digite la Contraseña para ELIMINAR la Linea ** " + dscart  ,

    inputType: 'password',
    callback: function (result) {
        console.log(result);
	if (result == claadm){
document.getElementById("frame_datos").src="eliminar_linea_super.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cliexe=" + cliexe+"&cdgcli=" + cdgcli+"&porimpexo=" + porimpexo+"&cdgtipexo=" + cdgtipexo;
}else {
alert("Contraseña incorrecta favor Verifique");
}
    }
	});
	

}


function pon_prefijo(filas,subtotal,descuento,impuesto,total,total_dolar,total_verificar,detalle_articulo, total_filas_exo , percampre) {
	parent.document.formulario_lineas.filas.value=filas;	
	parent.document.formulario_lineas.subtotal.value=subtotal;
	parent.document.formulario_lineas.descuento2.value=descuento;
	parent.document.formulario_lineas.imp.value=impuesto;
	parent.document.formulario_lineas.total.value=total;
	parent.document.formulario_lineas.venta.value=detalle_articulo;
	parent.document.formulario.total2.value=total;
	parent.document.formulario.total_verificar.value=total_verificar;
	parent.document.formulario.total_dolar.value=total_dolar;
	parent.document.formulario.total_filas_exo.value=total_filas_exo;
    parent.document.getElementById("cdgbar").focus();
	
	
	if (percampre == 0 ){
	parent.document.formulario_lineas.preivi.disabled=true;	 // SE AGREGA EN LA VERSION 4.4 INMOVILIZA EL PRECIO
    }

}

function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

function inicio(){
	   		
	parent.document.getElementById("detalle").value;			
	
}
</script>

 <script>
  window.onkeydown = tecla;

  function tecla(event) {
  if( event.keyCode > 111 && event.keyCode < 123 || event.keyCode ==27	) {    num = event.keyCode;

if(num==113)parent.abreVentana(); // f3  busqueda de clientes 
if(num==119){ parent.ventanaArticulos(); } // f8 busqueda de articulos
if(num==118) {parent.pagar();  }// f7 pago de contado
if(num==120){ parent.ConsultarArticulo();  }//f9 guardar e imprimir
if(num==121){ parent.validar_cabecera();  }//f10 guardar e imprimir 
if(num==27){ 
			document.getElementById("cdgbar").value="";
			document.getElementById("dscart").value="";
			document.getElementById("cantidad").value="";
			document.getElementById("preivi").value="";
			document.getElementById("precio2").value="";    //  cambio especial para carniceria
			document.getElementById("importe").value="";
			document.getElementById("dcto").value="";
			document.getElementById("descuento").value="";
			document.getElementById("cob_iv").value="";
			
			 parent.document.forms.formulario_lineas.action="frame_lineas_super.php"
			 parent.document.getElementById("formulario_lineas").submit();  }//escape salir
  }  
  }
  
  
  
  function  actualizar_articulo_descuento(cdgbar,codfacturatmp,numlinea,descuento,cliexe,cantidad,desmin,desmax,cdgcli, porimpexo, cdgtipexo)
{
	

		if ( descuento <= desmin ) 
		 {
	 
	document.getElementById("frame_datos3").src="actualizar_articulo.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cantidad=" + cantidad+"&cdgbar=" + cdgbar +"&cliexe=" + cliexe +"&descuento=" + descuento+"&cdgcli=" + cdgcli+"&porimpexo=" + porimpexo+"&cdgtipexo=" + cdgtipexo;

  				
	 }else if  ( descuento >  desmin && descuento  <= desmax ) {
	
		document.getElementById("frame_datos3").src="validar_descuento.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cantidad=" + cantidad+"&cdgbar=" + cdgbar +"&cliexe=" + cliexe +"&descuento=" + descuento;
 


	 		} else {
			
			alert ("El descuento maximo permitido es "+desmax+" %");
  			parent.document.getElementById("formulario_lineas").submit();
	
			
			 }

}





function actualizar_articulo(cdgbar,codfacturatmp,numlinea,cantidad,cliexe,descuento,cdgcli,  existencia , resexiact, porimpexo, cdgtipexo)
{
	

		 if (cantidad > existencia && resexiact == 1 ) { 
		 
alert("Favor verifique cantidad no pueder MAYOR a la existencia actual que es "+existencia+"")
 parent.document.getElementById("formulario_lineas").submit();
	
} else {


	
	if (cantidad <=0) {
		
		 alert("Favor verifique cantidado no pueder ser igual o menor a cero")
		  parent.document.getElementById("formulario_lineas").submit();
		 
} else {

	
document.getElementById("frame_datos3").src="actualizar_articulo.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cantidad=" + cantidad+"&cdgbar=" + cdgbar +"&cliexe=" + cliexe +"&descuento=" + descuento+"&cdgcli=" + cdgcli+"&porimpexo=" + porimpexo+"&cdgtipexo=" + cdgtipexo;
	//location.href="actualizar_articulo.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cantidad=" + cantidad+"&cdgbar=" + cdgbar;


}}
}

//desactivar tecla f5
function f5()
{
var tecla=window.event.keyCode;
if (tecla==116) { event.keyCode=0;
event.returnValue=false;}
}



function chk_exo(codfacturatmp,numlinea,cliexe,cdgcli,porimpexo,chkexo, cdgtipexo)
{

	
		document.getElementById("frame_datos4").src="chequear_exoneracion_parcial.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cliexe=" + cliexe+"&cdgcli=" + cdgcli+"&porimpexo=" + porimpexo + "&chkexo=" + chkexo +"&cdgtipexo=" + cdgtipexo;


}

		</script>

<html>

<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<body onLoad="nobackbutton(); inicio();  f5();   "  onKeyDown="javascript:f5()" >
<?php 
include ("../conexion.php");

$consulta = "SELECT * FROM web_0000 ";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();

        $tipcamdol = $fila["tipcamdol"];
		$clades = $fila["clades"];
		$claadm = $fila["CLAADM"];
		$resexiact = $fila["resexiact"];
		$facconred =   $fila["facconred"];     // se agrega en la version 4.4
		$percampre =   $fila["percampre"];     // se agrega en la version 4.4

$retorno=0;
$modif=2;
$filas=0;
$filas_exo = 0;            // agrega verificacion cabys exoneracion
$total_filas_exo = 0;      // agrega verificacion cabys exoneracion


 if (!isset($_POST["codfacturatmp"])) { 
 $codfacturatmp=$_GET["codfacturatmp"]; 
 $cliexe=$_GET["cliexe"];
  $posicion=$_GET["posicion"];
  $cdgbar=" ";
  $cdgcli=$_GET["cdgcli"];
  $porimpexo=$_GET["porimpexo"];
  $cdgtipexo=$_GET["cdgtipexo"];   // se agrega en la version 4.4

 } else  {   // si no es modificacion desde la rejilla

  $codfacturatmp=$_POST["codfacturatmp"];
  $cantnueva=$_POST["cantidad"];	
  $cdgbar=$_POST["cdgbar"];
  $importe=$_POST["importe"];
  $porimpexo=$_POST["porimpexo2"];
  $cliexe=$_POST["cliexe2"];
  $cdgcli=$_POST["cdgclifac2"];
  if (!isset($_POST["cdgtipexo2"])) { $cdgtipexo=""; } else  {  $cdgtipexo=$_POST["cdgtipexo2"]; }       // se agrega en la version 4.4
  

 } 
 
   $consulta = "SELECT tarexoagro , cdgtar , 	numdocexo , fecemiexo, fecvenmag , CEDCLI FROM web_0301 WHERE cdgcli='$cdgcli'";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();
 $tarexoagro = $fila["tarexoagro"];
 $cdgtar     = $fila["cdgtar"];  	////  version tarifa distinta al 13   //////////////////////////////////
 //$numdocexo  = $fila["numdocexo"];  // agrega verificacion cabys exoneracion
 //$fecemiexo  = $fila["fecemiexo"];  // agrega verificacion cabys exoneracion
 $fecvenmag  = $fila["fecvenmag"]; 
$fecha_actual=  date('Y-m-d') ;
 $cedcli  = $fila["CEDCLI"];                         // SE AGREGA EN LA VERSION 4.4
 
	$baseimp=0;
	$baseiva=0;
	$basedescuento=0;
	$basedescuento2=0;
    $detalle_articulo=""  ;

//if ($cdgbar=="") { 
//			$cdgbar=0; } 

if ($cdgbar <> "") { 

  	 $consulta2 = "SELECT artpes FROM web_1001  WHERE cdgbar='$cdgbar'  ";  // averigua si es un articulo pesado 
     $resultado2 = $mysqli->query($consulta2);
     $fila = $resultado2->fetch_array();
	 $filas_artpesado = $resultado2->num_rows;
		
	if ($filas_artpesado > 0) { 
        $artpes = $fila["artpes"]; }else {  $artpes = 0; }

} 

if ($result = $mysqli->query("SELECT * FROM factulineatmp WHERE codfactura='$codfacturatmp' and codigo='$cdgbar' AND factulineatmp.tipart <> 2  ")) {
   $filas = $result->num_rows;
   $result->close();
}

  
if (($filas>0) && ($artpes <> 1) ) {  // si el articulo no es pesado ni tipo 2 comodin 
	


$consulta6 = "SELECT factulineatmp.*,web_1001.* FROM factulineatmp,web_1001 WHERE factulineatmp.codfactura='$codfacturatmp' AND factulineatmp.codigo=web_1001.cdgbar AND factulineatmp.codigo='$cdgbar' AND  factulineatmp.tipart <> 2 ORDER BY factulineatmp.numlinea DESC";
if ($resultado6 = $mysqli->query($consulta6)) 
$contador=0;

		 while ($fila = $resultado6->fetch_assoc()) {

        $numlinea   = $fila["numlinea"];
        $cdgbar     = $fila["CDGBAR"];
        $dscart     = $fila["dscart"];
		$cantvieja  = $fila["cantidad"];
		$preivi     = $fila["preivi"];
		$importe    = $fila["importe"];
		$impuesto   = $fila["impuesto"];
		$impuesto_del_producto=$impuesto/$cantvieja;
     	$mondes     = $fila["mondes"];
		$descuento  = $fila["dcto"];
		$ivporc     = $fila["ivporc"]/100+1;	
		$existencia= $fila["EXIACT"];
		
	
    $cantidad=$cantnueva+$cantvieja;
	$importe=$cantidad*$preivi;

	$mondes=$importe*$descuento/100;
	
	if ($impuesto >0 ){
		
	$importe=$importe-$mondes;	
	$monto_impuesto=$importe*$ivporc;
	$impuesto=$monto_impuesto-$importe;
	
	} else {
		$impuesto=0;	
	}
	
		
	$sel_act="UPDATE  factulineatmp SET cantidad='$cantidad' ,  importe='$importe', dcto='$descuento',mondes='$mondes', impuesto='$impuesto' WHERE codfactura='$codfacturatmp' and codigo='$cdgbar' ";
$mysqli->query($sel_act);

$venta=$cantidad;

$descripcion = strtoupper($_POST["dscart"]);
$acotado = substr(($descripcion), 0,24);
$preivi=$preivi+$impuesto_del_producto;
$preivi=round($preivi);
$detalle_articulo=" ". $venta . " - " . $acotado .  " ₡ " . $preivi  ;	
	

	 } } else {
if ($cdgbar<>"") { 
if ($modif<>1) { 
		if (!isset( $_POST["codfacturatmp"])) { 
			$codfacturatmp=$_GET["codfacturatmp"]; 
			$cliexe=$_GET["cliexe"];
			$retorno=1; }
		if ($retorno==0) {	
				//$codfamilia=$_POST["codfamilia"];
				
				$chkpre2=0;
				$cdgbar=$_POST["cdgbar"];
				$cantidad=$_POST["cantidad"];
				$preivi=$_POST["preivi"];
				$preivi2=$_POST["preivi"];
				if (!isset($_POST["precio2"]))   { $precio2=""; }   else  {  $precio2=$_POST["precio2"]; }//    cambio especial para carniceria
				
		       if ($_POST["ivporc"] == ""){ $ivporc =0 ;  } else  { $ivporc= $_POST["ivporc"]/100+1 ; }      ///    cambio version   8.0.2
				

				
				$importe=$_POST["importe"];
				if ($importe == ""){ $importe =0 ;  }         ///    cambio version   8.0.2
					
				$descuento=$_POST["descuento"];
				$mondes=$_POST["mondes"];
				
				$impuesto=$_POST["impuesto"];
				if ($impuesto == ""){ $impuesto =0 ;  }        ///    cambio version   8.0.2
				
				$dscart = strtoupper($_POST["dscart"]);
				$tipart = $_POST["tipart"];
				
				$consulta2 = "SELECT COB_IV, tipart , artcom , PRE001 , ivporc, tipcanbas  FROM web_1001 WHERE cdgbar='$cdgbar' or  cdgbar2='$cdgbar'  and estart = 1  ";
				$resultado2 = $mysqli->query($consulta2);
				$fila = $resultado2->fetch_array();
				$cob_iv = $fila["COB_IV"];
				$tipart = $fila["tipart"];
				
				$PRE001 = $fila["PRE001"];            //    cambio especial para carniceria precio2
				$IVA001 = $fila["ivporc"]/100+1;      //    cambio especial para carniceria precio2
				$tipcanbas = $fila["tipcanbas"];      //   version exoneracion agropecuaria precio2
		       
				
				
	///////////////////////////////////////////////////////////////////////////   cambio especial para carniceria ///////////////////////////////////////////////////////////////////////						

		//////////////////////////////////CAMBIO PARA VETERINARIAS VENTAS DE CONCENTRADOS Y MAG ////////////////////////////////////////////////////////////
			
			if( $precio2 > 0)    { 
			
			   $chkpre2=1;
			
					$cantidad = $precio2/$PRE001  ;
					$preivi =  $PRE001;   
					
						if  ( ($tarexoagro > 0) &&  ($tipcanbas == 1)   && ($fecvenmag > $fecha_actual)   ){  // si el cliente es agro y ademas el producto pertenece a la canasta basica 
							
							$IVA001 =   $tarexoagro  ;
							$IVA001 =   $IVA001/100+1;	
						
						} else {                                        // sino se respeta el impuesto producto ya otorgado
							$IVA001 = $fila["ivporc"]/100+1;

						}

						if ( ($cliexe==1) and ($cob_iv == 1)  ){   $preivi=$preivi/$IVA001;  } else {  $preivi=$preivi;   } 	
						
			} // fin $precio2 > 0
			
	
///////////////////////////////////////////////////////////////////////////   cambio especial para carniceria ///////////////////////////////////////////////////////////////////////	
				
				
				if (($tipart ==2)  and ($cliexe==1) and ($cob_iv == 1) ){ $preivi=$preivi/$ivporc; } else { $preivi=$preivi; } 
				
				
				
				
				$sel_insert="INSERT INTO factulineatmp (codfactura,dscart, numlinea,codigo,cantidad,preivi,importe,dcto,mondes, impuesto, tipart,chkpre2) VALUES ('$codfacturatmp','$dscart','','$cdgbar','$cantidad','$preivi','$importe','$descuento' ,'$mondes','$impuesto','$tipart','$chkpre2')";
			$mysqli->query($sel_insert);
				
				
$venta=number_format($cantidad,3,".",",") ;

$descripcion = strtoupper($_POST["dscart"]);
$acotado = substr(($descripcion), 0,24);
if( $cdgbar==102 || $impuesto == 0 ){ 
$preivi=$preivi;
		}else {
		
$preivi=$importe+$impuesto;
		}
		
if ($preivi > 0 )  {  $preivi=round($preivi);  }             ///    cambio version   8.0.2

$detalle_articulo=" ". $venta . " - " . $acotado .  " ₡ " . $preivi  ;	

		}
} }
}
?>
<div id="xdetalleAWSUPER">
  <iframe id="frame_datos" name="frame_datos" width="0%" height="0" frameborder="0">
  <ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
  </iframe>
  <table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
<?php

 if (!isset($_POST["codfacturatmp"])) { 
  $codfacturatmp=$_GET["codfacturatmp"]; 
  $cliexe=$_GET["cliexe"];
  $posicion=$_GET["posicion"];
  $cdgbar=" ";
 	

 }

	$baseimp=0;
	$baseiva=0;
	$basedescuento=0;


   ///////////////////    muestra los datos de factulinea en la rejilla  refrescando  si el valor es exento, gravado y desucentos  //////////////////////
 
   ///////////////////    muestra los datos de factulinea en la rejilla  refrescando  si el valor es exento, gravado y desucentos  //////////////////////



$consulta = "SELECT factulineatmp.*,web_1001.* FROM factulineatmp,web_1001 WHERE factulineatmp.codfactura='$codfacturatmp' AND factulineatmp.codigo=web_1001.cdgbar ORDER BY factulineatmp.numlinea DESC";
$contador=0;
if ($resultado = $mysqli->query($consulta)) 


    while ($fila2 = $resultado->fetch_assoc()) {
		

        $numlinea = $fila2["numlinea"];
        $cdgbar = $fila2["codigo"];
        $dscart = $fila2["dscart"];
		$cantidad = $fila2["cantidad"];
		$preivi = $fila2["preivi"];
		$importe = $fila2["importe"];
		$impuesto = $fila2["impuesto"];
		$mondes = $fila2["mondes"];
		$cob_iv = $fila2["COB_IV"];
		$desmin= $fila2["desmin"];
     	$desmax= $fila2["desmax"];
		$tipart= $fila2["tipart"];
		$existencia= $fila2["EXIACT"];   // agregado en version 5.3
		$descuento= $fila2["dcto"];
		$cdghac= $fila2["cdghac"];      // agrega verificacion cabys exoneracion
		$ivporc= $fila2["ivporc"]/100+1;
		$ivporc_completo= $fila2["ivporc"];
		$chkexo     = $fila2["chkexo"];                      //  EXONERACION PARCIAL 
	
		$tipcanbas = $fila2["tipcanbas"];  ////   version exoneracion agropecuaria

		$chkpre2 = $fila2["chkpre2"];      //   cambio para veterinarias ventas de concentrados precio2
		$PRE001 = $fila2["PRE001"];        //    cambio para veterinarias ventas de concentrados precio2
		$IVA001 = $fila2["ivporc"]/100+1;  //    cambio para veterinarias ventas de concentrados precio2
		
		$cdgtar_articulo     = $fila2["cdgtar"];        // se realizan cambios en la version 4.4
		 /////////////////////////////////////////////////////   version exoneracion agropecuaria  //////////////////////////////////
		 

		if  ( ($tarexoagro > 0) &&  ($tipcanbas == 1)   && ($fecvenmag > $fecha_actual) && ($cdgtar_articulo <> 10 ) ){   // si el cliente es agro y ademas el producto pertenece a la canasta basica se realizan cambios en la version 4.4 
		  $ivporc =   $tarexoagro  ;
		  $ivporc =   $ivporc/100+1;	
		
		} else {                                        // sino se respeta el impuesto producto ya otorgado
		
		 $ivporc= $fila2["ivporc"]/100+1;
		
		}
		
		
				 /////////////////////////////////////////////////////   version tarifa distinta al 13   //////////////////////////////////
		 
		$consulta_tarifa = "SELECT * FROM hac_tipo_tarifa WHERE cdgtar='$cdgtar'";
		$resultado_tarifa = $mysqli->query($consulta_tarifa);
		$row_tarifa = $resultado_tarifa->fetch_array();
		$ivporc_tarifa= $row_tarifa["iv_porc"] ;  
	
		if ( $fila2["ivporc"] >  $ivporc_tarifa){ 
		
		  $ivporc =   $ivporc_tarifa  ;
		  $ivporc =   $ivporc/100+1;	
     
	
		}
				
				
		 /////////////////////////////////////////////////////   version tarifa distinta al 13   //////////////////////////////////
		 
		 
		 
				
		
	if ($cob_iv == 1) { $paga_impuesto="S"; } else { $paga_impuesto="N"; }
	
//////////////////////////////////CAMBIO PARA VETERINARIAS VENTAS DE CONCENTRADOS Y MAG ////////////////////////////////////////////////////////////
			
			if ( ($chkpre2==1) && ($tarexoagro > 0) &&  ($tipcanbas == 1)  ){

					  		$IVA001 =   $tarexoagro  ;
							$IVA001 =   $IVA001/100+1;	
					 		$preivi =  $PRE001;  	
								
					if ( ($cliexe==1) and ($cob_iv == 1)  ){   $preivi=$preivi/$ivporc;  } else {  $preivi=$preivi;   } 
					
					$importe=$cantidad*$preivi;
					$mondes=$importe*$descuento/100;
					$subtotal=$cantidad*$preivi;
							
			} // fin $precio2 > 0
			else if (  ($chkpre2==1) && ($tarexoagro <= 0)  ) {

								$preivi =  $PRE001;  
								$ivporc= $fila2["ivporc"]/100+1;

			if ( ($cliexe==1) and ($cob_iv == 1)  ){   $preivi=$preivi/$ivporc;  } else {  $preivi=$preivi;   } 	
			
			$importe=$cantidad*$preivi;
			$mondes=$importe*$descuento/100;
			$subtotal=$cantidad*$preivi;
			
			}
			else{

			$importe=$cantidad*$preivi;
			$mondes=$importe*$descuento/100;
			$subtotal=$cantidad*$preivi;
			
			}

		//////////////////////////////////CAMBIO PARA VETERINARIAS VENTAS DE CONCENTRADOS Y MAG ////////////////////////////////////////////////////////////
	
	//////////////////////////////////////////////////////////////////  EXONERACIONES  ////////////////////////////////////////////////
	////////////////////////////////////////////////////  SELECIONAMOS TABLA CABYS EXONERAXIONES PARA VER SI EL PRODUCTO GOZA DE EXONERACION /////////////////////////////////
		
		 if (  $cdgtipexo== "04") {   // se agrega en la version 4.4                 // si la exoneracion es tipo 4 exencion direccion general de hacienda // 
		 
			$consulta_cabys_exoneracion= "SELECT * FROM cabys_exoneracion WHERE  cedcli='$cedcli'  AND cdghac = '$cdghac' ";
		    $resultado_cabys_exoneracion = $mysqli->query($consulta_cabys_exoneracion);
		    $row_cabys_exoneracion = $resultado_cabys_exoneracion->fetch_array();
			if  ( $row_cabys_exoneracion["porexo"]  > 0 ){
	    	      $porimpexo = $row_cabys_exoneracion["porexo"] ;  
	        }
	
	    }                            // se agrega en la version 4.4          
		       
			   

	if ($cliexe == 2  &&  $porimpexo > 0  &&  $chkexo ==  0  ){     // si el cliente  es exonerado  //////  //  EXONERACION PARCIAL 
	///////////////////////// // agrega verificacion cabys exoneracion //////////////////////////////////////////////
	
	
	if($cdgtipexo== "04" )   // modifica en  la version 4.4
	
	 if ($result = $mysqli->query("SELECT * FROM cabys_exoneracion WHERE  cedcli='$cedcli'  AND cdghac = '$cdghac'  " )) {       // se cambia select en la version 4.4
  $filas_exoneradas = $result->num_rows;
  $result->close(); 
   if ( $filas_exoneradas == 0 &&  $cob_iv == 1  ){
   $filas_exo = 1;  
   $total_filas_exo =   $total_filas_exo + $filas_exo;   
	
	}
}
////////////////////////////////////////////////   // agrega verificacion cabys exoneracion  //////////////////////////////


	if (   $ivporc_completo <=   $porimpexo   ){    /// si el porcentaje de impuesto del producto es menor o igual que el impuesto del cliente ///////
	   
	$importe=$importe-$mondes;	
	$impuesto=0;
	$ivporc = 0/100+1;
	 } else {       
	

	
	$importe=$importe-$mondes;	
	$ivporc = $ivporc_completo - $porimpexo; 
	$monto_impuesto=$importe *(($ivporc/100)+1);
	$impuesto=$monto_impuesto-$importe;
	$ivporc = $ivporc/100+1;

	}
	
	} else {              // si el cliente no  es exonerado 
	                 
			 	if ($cob_iv == 1 ){     // si el producto es gravado 
				
	$importe=$importe-$mondes;	
	$monto_impuesto=$importe*$ivporc;
	$impuesto=$monto_impuesto-$importe;
			
			} else {                    // si el producto es exento 
	$importe=$importe-$mondes;	
	$impuesto=0;
			}
			

	}
	
	
		//////////////////////////////////////////////////////////////////  EXONERACIONES  ////////////////////////////////////////////////
	
		

	$preivi2=$importe+$impuesto;
	$baseimp=$subtotal+$baseimp;
	$baseiva=$impuesto+$baseiva;
	$basedescuento=$basedescuento+$mondes;
	
		
	$sel_act3="UPDATE   factulineatmp SET cantidad='$cantidad' , importe='$subtotal',preivi='$preivi', dcto='$descuento',mondes='$mondes', impuesto='$impuesto' WHERE codfactura='$codfacturatmp' and codigo='$cdgbar' and numlinea=$numlinea ";
	$mysqli->query($sel_act3);
	

  
  
	if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }
	
	  if ($filas_exo == 1 ) {   $fondolinea="registro_enfocado"; }     // agrega verificacion cabys exoneracion
	  
	   ?>
			<tr class="<?php echo $fondolinea?>">
        	<td width="1%"><?php //echo $cdgbar?></td>
		
			 <?php if ($chkexo==0){        //  EXONERACION PARCIAL     ?>
		 
		 
              <td width="2%"><input type="checkbox" value="otro" name="chkexo"   onkeypress="return tabE(this,event)"  checked onClick="chk_exo(<?php echo $codfacturatmp?>,<?php echo $numlinea?>,<?php echo $cliexe ?>,<?php echo $cdgcli ?>,<?php echo $porimpexo ?> ,<?php echo 1 ?>,'<?php echo  $cdgtipexo ?>')" /> </td>
		       <?php } else { ?>
              <td width="2%"><input type="checkbox" value="otro" name="chkexo"    onkeypress="return tabE(this,event)" onClick="chk_exo( <?php echo $codfacturatmp?>,<?php echo $numlinea?>,<?php echo $cliexe ?>,<?php echo $cdgcli ?>,<?php echo $porimpexo ?> ,<?php echo 0 ?>,'<?php echo  $cdgtipexo ?>')" /> </td>
				
		 <?php  }                       //  EXONERACION PARCIAL     ?>
		 
		 
       		  <td width="4%" class=""><div align="right"><input type="number"  value="<?php echo number_format($cantidad,3,".",",") ?>"  name="cantidad"  onkeypress="return tabE(this,event)"  style='text-align:right;'   onChange="actualizar_articulo('<?php echo $cdgbar ?>',<?php echo $codfacturatmp ?>,<?php echo $numlinea?>,this.value,<?php echo $cliexe ?>,<?php echo $descuento ?>,<?php echo $cdgcli ?>,<?php echo $existencia ?>,<?php echo $resexiact ?>,<?php echo $porimpexo ?>,'<?php echo  $cdgtipexo ?>')"   maxlength="15" size="6" autocomplete="off"    /></div></td>    
				<td width="7%"><?php //echo $cdgbar?></td>
				<td width="48%"><?php echo $dscart?></td>
				<td align="center" width="4%"><?php echo $paga_impuesto.(($ivporc-1)*100) ?></td>
				<td width="4%"><div align="right"><input type="text"   value="<?php echo number_format($descuento,2,".",",") ?>"  name="descuento"  onkeypress="return tabE(this,event)"  style='text-align:right;'  onChange="actualizar_articulo_descuento('<?php echo $cdgbar ?>',<?php echo $codfacturatmp ?>,<?php echo $numlinea?>,this.value,<?php echo $cliexe ?>,<?php echo $cantidad ?>,<?php echo $desmin ?>,<?php echo $desmax ?>,<?php echo $cdgcli ?>,<?php echo $porimpexo ?>,'<?php echo  $cdgtipexo ?>')"      maxlength="15" size="8" autocomplete="off"    /> </div></td>
		
				<td width="15%"><div align="right"><?php echo number_format($preivi2,2,".",",")?></div></td>
				<td width="13%"><div align="center"><a href="javascript:eliminar_linea(<?php echo $codfacturatmp?>,<?php echo $numlinea?>,<?php echo $importe ?>,<?php echo $cliexe ?>,'<?php echo $dscart ?>' ,<?php echo $cdgcli ?>,<?php echo $porimpexo ?>,'<?php echo  $cdgtipexo ?>')"><img src="../img/Symbol-Delete_32x32-32.png"  width="25" height="25" border="0"></a></div></td>
			</tr>
					
  <input id="posicion" name="posicion" type="hidden" value=" <?php echo $posicion ?>" >					
<input type="hidden"   value="<?php echo $claadm ?>"  name="claadm"   id="claadm"  />
			
<?php   $contador++;
    $filas_exo = 0;                                            /// // agrega verificacion cabys exoneracion //
	$preciotot=$baseimp+$baseiva-$basedescuento;
	$preciotot=round($preciotot,$facconred);
	$impuesto=number_format($baseiva,2,".",",");
 	$descuento=number_format($basedescuento,2,".",",");
    $subtotal=number_format($baseimp,2,".",",");
    $total_verificar=$preciotot;
    $total=number_format($preciotot,2,".",",");
	$total_dolar=$preciotot/$tipcamdol;
	$total_dolar=number_format($total_dolar,2,".",",");


if ($query_busqueda = $mysqli->query("SELECT * FROM factulineatmp WHERE  codfactura=$codfacturatmp ")) {
   $filas = $query_busqueda->num_rows;
  $query_busqueda->close();
}



}


?>

					<script languaje="javascript">
	pon_prefijo("<?php echo $filas ?>","<?php echo $subtotal ?>","<?php echo $descuento ?>","<?php echo $impuesto ?>","<?php echo $total ?>","<?php echo $total_dolar?>","<?php echo $total_verificar?>","<?php echo $detalle_articulo?>","<?php echo $total_filas_exo ?>" ,"<?php echo $percampre ?>");
	
		</script>


</table>
<blockquote>&nbsp;	</blockquote>
</div>

			      <input class="cajaTotales" name="baseimponible" type="hidden" id="baseimponible" size="12" value="<?php echo number_format($baseimp,2,",",".");?>" align="right" readonly> 
																					 
<input class="cajaTotales" name="basedescuento" type="hidden" id="basedescuento" size="12" value="<?php echo number_format($basedescuento,2,",",".");?>" align="right" readonly>
	
<input class="cajaTotales" name="baseimpuestos" type="hidden"  id="baseimpuestos" size="12" align="right" value="<?php echo number_format($baseiva,2,",",".");?>" readonly> 
		
<input class="cajaTotales" name="preciototal" type="hidden"  id="preciototal" size="12" align="right" value="<?php echo number_format($preciotot,2,",",".");?>" readonly> 
</div>

      <iframe id="frame_datos3" name="frame_datos3" width="0%" height="0" frameborder="0">
  <ilayer width="0" height="0" id="frame_datos3" name="frame_datos3"></ilayer>
  </iframe>	

  
        <iframe id="frame_datos4" name="frame_datos4" width="0%" height="0" frameborder="0">
  <ilayer width="0" height="0" id="frame_datos4" name="frame_datos4"></ilayer>
  </iframe>	
  


	</body>
</html>